HDF5 C++ API Reference Manual

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

# H5::IntType Class Reference

`#include <H5IntType.h>`

Inheritance diagram for H5::IntType:

List of all members.

## Public Member Functions
| IntType (const PredType &pred_type)
| Creates a integer type using a predefined type.
| IntType (const DataSet &dataset)
| Gets the integer datatype of the specified dataset.
H5T_sign_t | getSign () const
| Retrieves the sign type for an integer type.
void | setSign (H5T_sign_t sign) const
| Sets the sign property for an integer type.
virtual H5std_string | fromClass () const
| IntType ()
| Default constructor: Creates a stub integer datatype.
| IntType (const hid_t existing_id)
| Creates an integer datatype using the id of an existing datatype.
| IntType (const IntType &original)
| Copy constructor: makes a copy of the original IntType object.
virtual | ~IntType ()
| Noop destructor.

## Detailed Description

Examples:

  create.cpp, and readdata.cpp.

## Constructor & Destructor Documentation

H5::IntType::IntType | ( | const PredType & | pred_type | ) |

Creates a integer type using a predefined type.

Parameters:

  | pred_type | - IN: Predefined datatype

Exceptions:

  | H5::DataTypeIException |

H5::IntType::IntType | ( | const DataSet & | dataset | ) |

Gets the integer datatype of the specified dataset.

Parameters:

  | dataset | - IN: Dataset that this integer datatype associates with

Exceptions:

  | H5::DataTypeIException |

H5::IntType::IntType | ( |  | ) |

Default constructor: Creates a stub integer datatype.

H5::IntType::IntType | ( | const hid_t | existing_id | ) |

Creates an integer datatype using the id of an existing datatype.

Parameters:

  | existing_id | - IN: Id of an existing datatype

Exceptions:

  | H5::DataTypeIException |

H5::IntType::IntType | ( | const IntType & | original | ) |

Copy constructor: makes a copy of the original IntType object.

H5::IntType::~IntType | ( |  | ) | `[virtual]`

Noop destructor.

## Member Function Documentation

H5T_sign_t H5::IntType::getSign | ( |  | ) | const

Retrieves the sign type for an integer type.

Returns:
  Valid sign type

Exceptions:

  | H5::DataTypeIException |

void H5::IntType::setSign | ( | H5T_sign_t | sign | ) | const

Sets the sign property for an integer type.

Parameters:

  | sign | - IN: Sign type

Exceptions:

  | H5::DataTypeIException |

virtual H5std_string H5::IntType::fromClass | ( |  | ) | const`[inline, virtual]`

Reimplemented from H5::AtomType.